Bug 522530 - kernel 2.6.30.5-43.fc11.i586 breaks wireless on an IBM Thinkpad T42
Summary: kernel 2.6.30.5-43.fc11.i586 breaks wireless on an IBM Thinkpad T42
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stanislaw Gruszka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 15:51 UTC by Chris Siebenmann
Modified: 2010-03-26 14:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-26 14:52:50 UTC


Attachments (Terms of Use)
dmesg from kernel-2.6.30.5-43.fc11.i586 (wireless not working) (35.99 KB, text/plain)
2009-09-10 15:52 UTC, Chris Siebenmann
no flags Details
dmesg output from kernel-2.6.29.6-217.2.16.fc11.i586 (with working wireless) (35.66 KB, text/plain)
2009-09-10 15:58 UTC, Chris Siebenmann
no flags Details
airo.patch (4.34 KB, application/octet-stream)
2010-02-01 15:22 UTC, Stanislaw Gruszka
no flags Details

Description Chris Siebenmann 2009-09-10 15:51:19 UTC
When I updated an IBM Thinkpad T42 to kernel-2.6.30.5-43.fc11.i586, the
wireless stopped working. Rebooting to the previous kernel version
(kernel-2.6.29.6-217.2.16.fc11.i586) makes it work again.

Hardware details from lspci:
   AIRONET Wireless Communications Cisco Aironet Wireless 802.11b
(lspci -n: 02:02.0 0280: 14b9:a504)

Kernel driver: airo

The driver loads but reports errors in 'dmesg'. I will attach the full
dmesg output (as well as dmesg from a kernel where it works), but the
relevant bits appear to be:

airo(): Probing for PCI adapters
airo 0000:02:02.0: PCI INT A -> Link[LNKC] -> GSI 11 (level, low) -> IRQ 11
airo(): Found an MPI350 card

airo(eth0): Firmware version 5.41.00
airo(eth0): WPA supported.
airo(eth0): MAC enabled 00:0e:9b:90:af:29
airo(): Finished probing for PCI adapters

udev: renamed network interface eth0 to eth1

airo(eth1): set_wep_key: key length to set was zero
airo(eth1): failed to set WEP key at index 0: -1.
airo(eth1): set_wep_key: key length to set was zero
airo(eth1): failed to set WEP key at index 1: -1.
airo(eth1): set_wep_key: key length to set was zero
airo(eth1): failed to set WEP key at index 2: -1.
airo(eth1): set_wep_key: key length to set was zero
airo(eth1): failed to set WEP key at index 3: -1.
airo(eth1): cmd:1 status:7f01 rsp0:88 rsp1:ff10 rsp2:c0f0
airo(eth1): Bad MAC enable reason=88, rid=ff10, offset=49392
airo(eth1): cmd:103 status:7f03 rsp0:0 rsp1:ff10 rsp2:c0f0

(the last line then repeats a few times)

Please let me know if there's additional information that
would be useful.

Comment 1 Chris Siebenmann 2009-09-10 15:52:28 UTC
Created attachment 360526 [details]
dmesg from kernel-2.6.30.5-43.fc11.i586 (wireless not working)

Comment 2 Chris Siebenmann 2009-09-10 15:58:24 UTC
Created attachment 360528 [details]
dmesg output from kernel-2.6.29.6-217.2.16.fc11.i586 (with working wireless)

Comment 3 Chris Siebenmann 2009-09-29 19:49:31 UTC
This problem is still present in the just-released kernel-2.6.30.8-64.fc11.

Comment 4 Chris Siebenmann 2009-11-02 17:59:20 UTC
This problem is still present in kernel-2.6.30.9-90.fc11.

Comment 5 Chris Siebenmann 2009-11-25 16:39:22 UTC
This problem is still present in kernel-2.6.30.9-96.fc11.

Comment 6 Chris Siebenmann 2009-11-26 00:16:48 UTC
I did some work with 'git bisect' on the mainline kernel, and according to
this the first bad commit is c0380693520b1a1e4f756799a0edc379378b462a,
'airo: clean up WEP key operations'.

Comment 7 Stanislaw Gruszka 2010-01-22 07:18:54 UTC
Hi. Is bug fixed in new kernels?

Comment 8 Chris Siebenmann 2010-01-27 20:09:20 UTC
This bug is still present in kernel-2.6.30.10-105.2.4.fc11.i586 (and previous
kernels between that and the last one I reported).

Comment 9 Stanislaw Gruszka 2010-01-28 09:43:29 UTC
Thank you for fast answer. Hmm, I forgot F11 still using 2.6.30 based kernel. Could you please check some newer releases from git tree or vanilla tarballs 2.6.31, 2.6.32 and if it not fixed 2.6.33-rcX.

Comment 10 Chris Siebenmann 2010-01-29 23:04:20 UTC
Neither 2.6.32 (compiled from git) nor 2.6.33-rc6 (nominal, compiled from
git tip as pulled an hour or so ago) see the wireless properly.

Comment 11 Stanislaw Gruszka 2010-02-01 15:22:43 UTC
Created attachment 388068 [details]
airo.patch

Could you please test this patch? It's for 2.6.32. If may help, but if not it will provide verbose messages to allow diagnose problem more precisely.

Comment 12 Chris Siebenmann 2010-02-01 17:06:32 UTC
The patch appears to fix the problem. With the patch applied, 2.6.32 sees
our local wireless networks and connectivity appears to work fine.

Comment 13 Stanislaw Gruszka 2010-02-02 14:58:56 UTC
Chris, I send a slightly different (removed extra debug stuff) patch upstream, CCing you. Please reply with Tested-by mark to the email or speak loudly if patch not work. Through kernel stable tree patch will get to fedora. Thanks.

Comment 14 Chris Siebenmann 2010-02-02 18:34:27 UTC
I've just sent in a Tested-by: email message (hopefully in the right
format). Let me know if more is needed, and thank you for running this
down.

Comment 15 Stanislaw Gruszka 2010-03-26 14:52:50 UTC
Fedora 12 will update to 2.6.32.10 kernel, which include fix for that bug. To update do:

yum --enablerepo "updates-testing" update kernel

Thanks for reporting and patience.


Note You need to log in before you can comment on or make changes to this bug.